curl --request GET \
--url https://api.example.com/api/banking/uncategorized/autofill \
--header 'Authorization: <authorization>' \
--header 'organization-id: <organization-id>'import requests
url = "https://api.example.com/api/banking/uncategorized/autofill"
headers = {
"Authorization": "<authorization>",
"organization-id": "<organization-id>"
}
response = requests.get(url, headers=headers)
print(response.text)const options = {
method: 'GET',
headers: {Authorization: '<authorization>', 'organization-id': '<organization-id>'}
};
fetch('https://api.example.com/api/banking/uncategorized/autofill', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"amount": -150.5,
"formattedAmount": "$150.50",
"date": "2024-01-15",
"formattedDate": "Jan 15, 2024",
"isRecognized": true,
"transactionType": "other_expense",
"isDepositTransaction": false,
"isWithdrawalTransaction": true,
"creditAccountId": 10,
"debitAccountId": 5,
"recognizedByRuleId": 1,
"recognizedByRuleName": "Salary Rule",
"referenceNo": "REF-001",
"payee": "<string>",
"memo": "<string>"
}Get autofill values for categorize transactions
Headers
Value must be 'Bearer ' where is an API key prefixed with 'bc_' or a JWT token.
"Bearer bc_1234567890abcdef"
Required if Authorization is a JWT token. The organization ID to operate within.
Query Parameters
Uncategorized transaction IDs to get autofill for
Response
Returns autofill values for categorize transactions
Total amount of uncategorized transactions
-150.5
Formatted amount
"$150.50"
Transaction date
"2024-01-15"
Formatted date
"Jan 15, 2024"
Whether the transaction is recognized by a rule
true
Transaction type (category)
"other_expense"
Whether this is a deposit transaction
false
Whether this is a withdrawal transaction
true
Assigned credit/debit account ID from recognition
10
Bank account ID (debit)
5
Bank rule ID that recognized the transaction
1
Bank rule name that recognized the transaction
"Salary Rule"
Reference number
"REF-001"
Assigned payee from recognition
Assigned memo from recognition